Package be.fgov.ehealth.dics.protocol.v5

# Class FindListOfAmpResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.dics.protocol.v5.DicsResponseType
be.fgov.ehealth.dics.protocol.v5.FindListOfAmpResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindListOfAmpResponse extends DicsResponseType implements Serializable

Java class for FindListOfAmpResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindListOfAmpResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
           <sequence minOccurs="0">
             <element name="Amp" type="{urn:be:fgov:ehealth:dics:protocol:v5}ListAmpType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindListOfAmpResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ListAmpType>`
  `getAmps()`
  Gets the value of the amps property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

  `getSamId, getSearchDate, setSamId, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindListOfAmpResponse

    public FindListOfAmpResponse()

- ## Method Details

  - ### getAmps

    public List<ListAmpType> getAmps()
    Gets the value of the amps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amps property.

    For example, to add a new item, do as follows:

         getAmps().add(newItem);

    Objects of the following type(s) are allowed in the list `ListAmpType`

    Returns:
      The value of the amps property.